.child-report-page {
    background: #fff;
    padding: 0;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

img {
    max-width: 100%;
}

.page-spinner {
    display: block;
    margin: 0 auto;
    text-align: center;
}

.child-report-page main {
    width: 840px;
    max-width: 100%;
    margin: 0 auto;
    height: auto;
    padding: 20px;
    border-radius: 0;
}

.report-logo {
    text-align: center;
    padding: 30px 0;
}

.report-logo img {
    display: block;
    margin: 0 auto;
}

.table-wrapper {
    width: 100%;
    overflow: auto;
}


.activitiy-details {
    display: flex;
    border: 1px solid #7A8EA1;
    border-radius: 10px;
    padding: 10px;
    justify-content: space-between;
}

.activitiy-item {
    padding: 10px 20px;
    font-weight: 400;
    font-size: 24px;
    line-height: 1.2;
    color: #010101;
    font-family: 'Fredoka One', cursive;
    display: flex;
    align-items: center;
    text-align: center;
}

.activitiy-item span {
    display: block;
    font-family: "Nunito", sans-serif;
    text-transform: uppercase;
    font-size: 16px;
    color: #7A8EA1;
    text-align: center;
    margin: 0 0 5px;
}


.activitiy-item img {
    display: block;
    margin: 0 20px 0 0;
    width: auto;
    height: auto;
    max-width: 55px;
}

.activity-section {
    padding: 20px 0;
}

.activity-section h2 {
    font-size: 24px;
    margin: 0 0 15px;
    color: #010101;
}

.child-selector-wrap {
    max-width: 270px;
    margin: 0 auto;
    position: relative;
}

.selection-item {
    display: flex;
    align-items: center;
    background: #D0EDF7;
    border: 2px solid #92D0E5;
    border-radius: 20px;
    padding: 5px 25px;
}

.active-child-item::after {
    content: '';
    display: block;
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    background: url(../images/child-report/arrow-down.svg) no-repeat center;
    width: 25px;
    height: 25px;
    background-size: contain;
    transition: all 0.2s ease;
}

.active-child-item {
    position: relative;
    cursor: pointer;
}

.active-child-item .selection-item {
    padding-right: 40px;
}

.active-child-item.active::after {
    transform: translateY(-50%) rotate(180deg);
}

.selection-item span {
    font-size: 21px;
    line-height: 1.3;
    color: #010101;
    text-align: center;
    display: block;
    font-weight: 700;
}

.selection-item span i {
    display: block;
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    color: #7A8EA1;
}



.selection-item img {
    display: block;
    margin-right: 10px;
}

.all-child-selection {
    position: absolute;
    top: calc(100% + 10px);
    background: #d0edf7;
    width: 100%;
    left: 0;
    border-radius: 25px;
    border: 2px solid #92d0e5;
    display: none;
    overflow: hidden;
}

.all-child-selection.visible {
    display: block;
}

.all-child-selection .selection-item {
    padding: 5px 25px;
    border: 0;
    border-radius: 0;
    background: transparent;
    border-bottom: 1px solid #92d0e5;
    cursor: pointer;
}

.all-child-selection .selection-item:hover {
    background: skyblue;
}

.breakdown-section {
    padding: 15px 0;
}

.breakdown-section h2 {
    font-weight: 400;
    font-size: 24px;
    line-height: 1.2;
    margin: 0 0 15px;
    color: #010101;
}


.breakdown-table th {
    font-size: 14px;
    line-height: 1.3;
    color: #7A8EA1;
    text-transform: uppercase;
    font-weight: 500;
    padding: 12px;
    text-align: center;
    white-space: nowrap;
}

.breakdown-table {
    border: 1px solid #7A8EA1;
    border-radius: 10px;
    padding: 12px;
}

.breakdown-table table {
    border-collapse: collapse;
}

.breakdown-table tr:nth-child(even) {
    background: #E7F5F8;
}

.breakdown-table td {
    padding: 12px;
    font-weight: 600;
    font-size: 14px;
    line-height: 1.3;
    color: #0655A1;
    text-align: center;
}


.breakdown-table td span.dot {
    display: block;
    width: 14px;
    height: 14px;
    border-radius: 50%;
    background: #2AA8AB;
}

img.info-icon {
    display: inline-block;
    vertical-align: top;
    width: 15px;
}

.no-profile-texts {
    border: 1px solid #7A8EA1;
    border-radius: 15px;
    padding: 20px;
    text-align: center;
    margin: 0 0 20px;
}

.no-profile-content p {
    font-weight: 400;
    font-size: 21px;
    line-height: 1.4;
    color: #010101;
    margin: 0 0 15px;
}

.no-profile-texts h3 {
    font-size: 24px;
    line-height: 1.2;
    color: #010101;
    margin: 0 0 15px;
}

.no-profile-content p:last-child {
    margin: 0;
}

.no-profile-content {
    padding: 20px 0;
    text-align: center;
}

.create-profile-btn {
    text-align: center;
    padding: 20px 0;
}

.create-profile-btn a {
    display: block;
    width: max-content;
    margin: 0 auto;
    padding: 15px 30px;
    color: #010101;
    text-decoration: none;
    border-radius: 50px;
    background: #FAF286;
    border: 2px solid #FAAA54;
    font-size: 24px;
}

.create-profile-btn a:hover {
    background: #FeF280;
}

table .progress-bar {
    display: block;
    width: 100%;
    height: 20px;
    border-radius: 20px;
    background: #283257;
    position: relative;
    overflow: hidden;
    border: 1px solid #548ECB;
}

table .progress-bar i {
    display: block;
    position: absolute;
    left: 0;
    height: 100%;
    top: 0;
}

.recent-played-section {
    padding: 20px 0;
}

.recent-played-section h2 {
    font-size: 24px;
    line-height: 1.3;
    color: #010101;
    margin: 0 0 20px;
}

.recent-played-content {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.recent-played-item {
    width: calc(25% - 20px);
    position: relative;
    margin: 0 0 30px;
}

.recent-played-item img {
    display: block;
    width: 100%;
    height: auto;
}

.recent-played-item span {
    display: block;
    background: linear-gradient(270deg, #782A81 0%, rgba(120, 42, 129, 0) 110.94%);
    border-radius: 0px 0px 15px 15px;
    position: absolute;
    bottom: 0;
    z-index: 2;
    color: #fff;
    width: 100%;
    padding: 5px;
    text-align: center;
    font-weight: 700;
    font-size: 14px;
    line-height: 1.2;
}

/* responsive */
@media(max-width: 767px) {

    .breakdown-section h2 {
        font-size: 18px;
    }

    .breakdown-table td {
        font-size: 12px;
    }

    .breakdown-table th {
        font-size: 12px;
    }

    .breakdown-table td span.dot {
        width: 7px;
        height: 7px;
    }

    .no-profile-texts h3 {
        font-size: 18px;
    }

    .create-profile-btn a {
        font-size: 16px;
    }

    .no-profile-content p {
        font-size: 14px;
    }

    .no-profile-texts {
        margin: 0 0 5px;
    }

    .recent-played-item {
        width: calc(50% - 20px);
    }

    table .progress-bar {
        height: 12px;
    }

    .activity-section h2 {
        font-size: 18px;
    }

    .activitiy-item {
        font-size: 18px;
        text-align: left;
    }

    .activitiy-item span {
        font-size: 12px;
        text-align: left;
    }

    .activitiy-item img {
        max-width: 40px;
    }

    .selection-item span {
        font-size: 16px;
    }

    .selection-item span i {
        font-size: 12px;
    }

    .active-child-item::after {
        width: 20px;
        height: 20px;
    }

    .recent-played-section h2 {
        font-size: 18px;
    }
}
@media(max-width: 640px) {
    .activitiy-details {
        flex-direction: column;
        min-width: max-content;
    }
}

@media(max-width: 360px) {
    .recent-played-item {
        width: 100%;
    }
}